//
// Copyright (C) 2006, NinjaTrader LLC <ninjatrader@ninjatrader.com>.
// NinjaTrader reserves the right to modify or overwrite this NinjaScript component with each release.
//

#region Using declarations
using System;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Xml.Serialization;
using NinjaTrader.Data;
using NinjaTrader.Gui.Chart;
#endregion

#region NinjaScript generated code. Neither change nor remove.
// This namespace holds all indicators and is required. Do not change it.
namespace NinjaTrader.Indicator
{
    public partial class Indicator : IndicatorBase
    {
        private PTUJumpLineEURUSD1[] cachePTUJumpLineEURUSD1 = null;
        private PTUJumpLineEURUSD2[] cachePTUJumpLineEURUSD2 = null;
        private PTUJumpLineEURUSD3[] cachePTUJumpLineEURUSD3 = null;
        private PTUJumpLineYM1[] cachePTUJumpLineYM1 = null;
        private PTUJumpLineYM2[] cachePTUJumpLineYM2 = null;
        private PTUTrendJumperEURUSD4dig[] cachePTUTrendJumperEURUSD4dig = null;
        private PTUTrendJumperEURUSD5dig[] cachePTUTrendJumperEURUSD5dig = null;
        private PTUTrendJumperYM[] cachePTUTrendJumperYM = null;

        private static PTUJumpLineEURUSD1 checkPTUJumpLineEURUSD1 = new PTUJumpLineEURUSD1();
        private static PTUJumpLineEURUSD2 checkPTUJumpLineEURUSD2 = new PTUJumpLineEURUSD2();
        private static PTUJumpLineEURUSD3 checkPTUJumpLineEURUSD3 = new PTUJumpLineEURUSD3();
        private static PTUJumpLineYM1 checkPTUJumpLineYM1 = new PTUJumpLineYM1();
        private static PTUJumpLineYM2 checkPTUJumpLineYM2 = new PTUJumpLineYM2();
        private static PTUTrendJumperEURUSD4dig checkPTUTrendJumperEURUSD4dig = new PTUTrendJumperEURUSD4dig();
        private static PTUTrendJumperEURUSD5dig checkPTUTrendJumperEURUSD5dig = new PTUTrendJumperEURUSD5dig();
        private static PTUTrendJumperYM checkPTUTrendJumperYM = new PTUTrendJumperYM();

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public PTUJumpLineEURUSD1 PTUJumpLineEURUSD1(string i00_Version)
        {
            return PTUJumpLineEURUSD1(Input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public PTUJumpLineEURUSD1 PTUJumpLineEURUSD1(Data.IDataSeries input, string i00_Version)
        {
            if (cachePTUJumpLineEURUSD1 != null)
                for (int idx = 0; idx < cachePTUJumpLineEURUSD1.Length; idx++)
                    if (cachePTUJumpLineEURUSD1[idx].I00_Version == i00_Version && cachePTUJumpLineEURUSD1[idx].EqualsInput(input))
                        return cachePTUJumpLineEURUSD1[idx];

            lock (checkPTUJumpLineEURUSD1)
            {
                checkPTUJumpLineEURUSD1.I00_Version = i00_Version;
                i00_Version = checkPTUJumpLineEURUSD1.I00_Version;

                if (cachePTUJumpLineEURUSD1 != null)
                    for (int idx = 0; idx < cachePTUJumpLineEURUSD1.Length; idx++)
                        if (cachePTUJumpLineEURUSD1[idx].I00_Version == i00_Version && cachePTUJumpLineEURUSD1[idx].EqualsInput(input))
                            return cachePTUJumpLineEURUSD1[idx];

                PTUJumpLineEURUSD1 indicator = new PTUJumpLineEURUSD1();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                indicator.I00_Version = i00_Version;
                Indicators.Add(indicator);
                indicator.SetUp();

                PTUJumpLineEURUSD1[] tmp = new PTUJumpLineEURUSD1[cachePTUJumpLineEURUSD1 == null ? 1 : cachePTUJumpLineEURUSD1.Length + 1];
                if (cachePTUJumpLineEURUSD1 != null)
                    cachePTUJumpLineEURUSD1.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cachePTUJumpLineEURUSD1 = tmp;
                return indicator;
            }
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public PTUJumpLineEURUSD2 PTUJumpLineEURUSD2(string i00_Version)
        {
            return PTUJumpLineEURUSD2(Input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public PTUJumpLineEURUSD2 PTUJumpLineEURUSD2(Data.IDataSeries input, string i00_Version)
        {
            if (cachePTUJumpLineEURUSD2 != null)
                for (int idx = 0; idx < cachePTUJumpLineEURUSD2.Length; idx++)
                    if (cachePTUJumpLineEURUSD2[idx].I00_Version == i00_Version && cachePTUJumpLineEURUSD2[idx].EqualsInput(input))
                        return cachePTUJumpLineEURUSD2[idx];

            lock (checkPTUJumpLineEURUSD2)
            {
                checkPTUJumpLineEURUSD2.I00_Version = i00_Version;
                i00_Version = checkPTUJumpLineEURUSD2.I00_Version;

                if (cachePTUJumpLineEURUSD2 != null)
                    for (int idx = 0; idx < cachePTUJumpLineEURUSD2.Length; idx++)
                        if (cachePTUJumpLineEURUSD2[idx].I00_Version == i00_Version && cachePTUJumpLineEURUSD2[idx].EqualsInput(input))
                            return cachePTUJumpLineEURUSD2[idx];

                PTUJumpLineEURUSD2 indicator = new PTUJumpLineEURUSD2();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                indicator.I00_Version = i00_Version;
                Indicators.Add(indicator);
                indicator.SetUp();

                PTUJumpLineEURUSD2[] tmp = new PTUJumpLineEURUSD2[cachePTUJumpLineEURUSD2 == null ? 1 : cachePTUJumpLineEURUSD2.Length + 1];
                if (cachePTUJumpLineEURUSD2 != null)
                    cachePTUJumpLineEURUSD2.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cachePTUJumpLineEURUSD2 = tmp;
                return indicator;
            }
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public PTUJumpLineEURUSD3 PTUJumpLineEURUSD3(string i00_Version)
        {
            return PTUJumpLineEURUSD3(Input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public PTUJumpLineEURUSD3 PTUJumpLineEURUSD3(Data.IDataSeries input, string i00_Version)
        {
            if (cachePTUJumpLineEURUSD3 != null)
                for (int idx = 0; idx < cachePTUJumpLineEURUSD3.Length; idx++)
                    if (cachePTUJumpLineEURUSD3[idx].I00_Version == i00_Version && cachePTUJumpLineEURUSD3[idx].EqualsInput(input))
                        return cachePTUJumpLineEURUSD3[idx];

            lock (checkPTUJumpLineEURUSD3)
            {
                checkPTUJumpLineEURUSD3.I00_Version = i00_Version;
                i00_Version = checkPTUJumpLineEURUSD3.I00_Version;

                if (cachePTUJumpLineEURUSD3 != null)
                    for (int idx = 0; idx < cachePTUJumpLineEURUSD3.Length; idx++)
                        if (cachePTUJumpLineEURUSD3[idx].I00_Version == i00_Version && cachePTUJumpLineEURUSD3[idx].EqualsInput(input))
                            return cachePTUJumpLineEURUSD3[idx];

                PTUJumpLineEURUSD3 indicator = new PTUJumpLineEURUSD3();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                indicator.I00_Version = i00_Version;
                Indicators.Add(indicator);
                indicator.SetUp();

                PTUJumpLineEURUSD3[] tmp = new PTUJumpLineEURUSD3[cachePTUJumpLineEURUSD3 == null ? 1 : cachePTUJumpLineEURUSD3.Length + 1];
                if (cachePTUJumpLineEURUSD3 != null)
                    cachePTUJumpLineEURUSD3.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cachePTUJumpLineEURUSD3 = tmp;
                return indicator;
            }
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public PTUJumpLineYM1 PTUJumpLineYM1(string i00_Version)
        {
            return PTUJumpLineYM1(Input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public PTUJumpLineYM1 PTUJumpLineYM1(Data.IDataSeries input, string i00_Version)
        {
            if (cachePTUJumpLineYM1 != null)
                for (int idx = 0; idx < cachePTUJumpLineYM1.Length; idx++)
                    if (cachePTUJumpLineYM1[idx].I00_Version == i00_Version && cachePTUJumpLineYM1[idx].EqualsInput(input))
                        return cachePTUJumpLineYM1[idx];

            lock (checkPTUJumpLineYM1)
            {
                checkPTUJumpLineYM1.I00_Version = i00_Version;
                i00_Version = checkPTUJumpLineYM1.I00_Version;

                if (cachePTUJumpLineYM1 != null)
                    for (int idx = 0; idx < cachePTUJumpLineYM1.Length; idx++)
                        if (cachePTUJumpLineYM1[idx].I00_Version == i00_Version && cachePTUJumpLineYM1[idx].EqualsInput(input))
                            return cachePTUJumpLineYM1[idx];

                PTUJumpLineYM1 indicator = new PTUJumpLineYM1();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                indicator.I00_Version = i00_Version;
                Indicators.Add(indicator);
                indicator.SetUp();

                PTUJumpLineYM1[] tmp = new PTUJumpLineYM1[cachePTUJumpLineYM1 == null ? 1 : cachePTUJumpLineYM1.Length + 1];
                if (cachePTUJumpLineYM1 != null)
                    cachePTUJumpLineYM1.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cachePTUJumpLineYM1 = tmp;
                return indicator;
            }
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public PTUJumpLineYM2 PTUJumpLineYM2(string i00_Version)
        {
            return PTUJumpLineYM2(Input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public PTUJumpLineYM2 PTUJumpLineYM2(Data.IDataSeries input, string i00_Version)
        {
            if (cachePTUJumpLineYM2 != null)
                for (int idx = 0; idx < cachePTUJumpLineYM2.Length; idx++)
                    if (cachePTUJumpLineYM2[idx].I00_Version == i00_Version && cachePTUJumpLineYM2[idx].EqualsInput(input))
                        return cachePTUJumpLineYM2[idx];

            lock (checkPTUJumpLineYM2)
            {
                checkPTUJumpLineYM2.I00_Version = i00_Version;
                i00_Version = checkPTUJumpLineYM2.I00_Version;

                if (cachePTUJumpLineYM2 != null)
                    for (int idx = 0; idx < cachePTUJumpLineYM2.Length; idx++)
                        if (cachePTUJumpLineYM2[idx].I00_Version == i00_Version && cachePTUJumpLineYM2[idx].EqualsInput(input))
                            return cachePTUJumpLineYM2[idx];

                PTUJumpLineYM2 indicator = new PTUJumpLineYM2();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                indicator.I00_Version = i00_Version;
                Indicators.Add(indicator);
                indicator.SetUp();

                PTUJumpLineYM2[] tmp = new PTUJumpLineYM2[cachePTUJumpLineYM2 == null ? 1 : cachePTUJumpLineYM2.Length + 1];
                if (cachePTUJumpLineYM2 != null)
                    cachePTUJumpLineYM2.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cachePTUJumpLineYM2 = tmp;
                return indicator;
            }
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        public PTUTrendJumperEURUSD4dig PTUTrendJumperEURUSD4dig(string i00_Version)
        {
            return PTUTrendJumperEURUSD4dig(Input, i00_Version);
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        public PTUTrendJumperEURUSD4dig PTUTrendJumperEURUSD4dig(Data.IDataSeries input, string i00_Version)
        {
            if (cachePTUTrendJumperEURUSD4dig != null)
                for (int idx = 0; idx < cachePTUTrendJumperEURUSD4dig.Length; idx++)
                    if (cachePTUTrendJumperEURUSD4dig[idx].I00_Version == i00_Version && cachePTUTrendJumperEURUSD4dig[idx].EqualsInput(input))
                        return cachePTUTrendJumperEURUSD4dig[idx];

            lock (checkPTUTrendJumperEURUSD4dig)
            {
                checkPTUTrendJumperEURUSD4dig.I00_Version = i00_Version;
                i00_Version = checkPTUTrendJumperEURUSD4dig.I00_Version;

                if (cachePTUTrendJumperEURUSD4dig != null)
                    for (int idx = 0; idx < cachePTUTrendJumperEURUSD4dig.Length; idx++)
                        if (cachePTUTrendJumperEURUSD4dig[idx].I00_Version == i00_Version && cachePTUTrendJumperEURUSD4dig[idx].EqualsInput(input))
                            return cachePTUTrendJumperEURUSD4dig[idx];

                PTUTrendJumperEURUSD4dig indicator = new PTUTrendJumperEURUSD4dig();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                indicator.I00_Version = i00_Version;
                Indicators.Add(indicator);
                indicator.SetUp();

                PTUTrendJumperEURUSD4dig[] tmp = new PTUTrendJumperEURUSD4dig[cachePTUTrendJumperEURUSD4dig == null ? 1 : cachePTUTrendJumperEURUSD4dig.Length + 1];
                if (cachePTUTrendJumperEURUSD4dig != null)
                    cachePTUTrendJumperEURUSD4dig.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cachePTUTrendJumperEURUSD4dig = tmp;
                return indicator;
            }
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        public PTUTrendJumperEURUSD5dig PTUTrendJumperEURUSD5dig(string i00_Version)
        {
            return PTUTrendJumperEURUSD5dig(Input, i00_Version);
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        public PTUTrendJumperEURUSD5dig PTUTrendJumperEURUSD5dig(Data.IDataSeries input, string i00_Version)
        {
            if (cachePTUTrendJumperEURUSD5dig != null)
                for (int idx = 0; idx < cachePTUTrendJumperEURUSD5dig.Length; idx++)
                    if (cachePTUTrendJumperEURUSD5dig[idx].I00_Version == i00_Version && cachePTUTrendJumperEURUSD5dig[idx].EqualsInput(input))
                        return cachePTUTrendJumperEURUSD5dig[idx];

            lock (checkPTUTrendJumperEURUSD5dig)
            {
                checkPTUTrendJumperEURUSD5dig.I00_Version = i00_Version;
                i00_Version = checkPTUTrendJumperEURUSD5dig.I00_Version;

                if (cachePTUTrendJumperEURUSD5dig != null)
                    for (int idx = 0; idx < cachePTUTrendJumperEURUSD5dig.Length; idx++)
                        if (cachePTUTrendJumperEURUSD5dig[idx].I00_Version == i00_Version && cachePTUTrendJumperEURUSD5dig[idx].EqualsInput(input))
                            return cachePTUTrendJumperEURUSD5dig[idx];

                PTUTrendJumperEURUSD5dig indicator = new PTUTrendJumperEURUSD5dig();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                indicator.I00_Version = i00_Version;
                Indicators.Add(indicator);
                indicator.SetUp();

                PTUTrendJumperEURUSD5dig[] tmp = new PTUTrendJumperEURUSD5dig[cachePTUTrendJumperEURUSD5dig == null ? 1 : cachePTUTrendJumperEURUSD5dig.Length + 1];
                if (cachePTUTrendJumperEURUSD5dig != null)
                    cachePTUTrendJumperEURUSD5dig.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cachePTUTrendJumperEURUSD5dig = tmp;
                return indicator;
            }
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        public PTUTrendJumperYM PTUTrendJumperYM(string i00_Version)
        {
            return PTUTrendJumperYM(Input, i00_Version);
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        public PTUTrendJumperYM PTUTrendJumperYM(Data.IDataSeries input, string i00_Version)
        {
            if (cachePTUTrendJumperYM != null)
                for (int idx = 0; idx < cachePTUTrendJumperYM.Length; idx++)
                    if (cachePTUTrendJumperYM[idx].I00_Version == i00_Version && cachePTUTrendJumperYM[idx].EqualsInput(input))
                        return cachePTUTrendJumperYM[idx];

            lock (checkPTUTrendJumperYM)
            {
                checkPTUTrendJumperYM.I00_Version = i00_Version;
                i00_Version = checkPTUTrendJumperYM.I00_Version;

                if (cachePTUTrendJumperYM != null)
                    for (int idx = 0; idx < cachePTUTrendJumperYM.Length; idx++)
                        if (cachePTUTrendJumperYM[idx].I00_Version == i00_Version && cachePTUTrendJumperYM[idx].EqualsInput(input))
                            return cachePTUTrendJumperYM[idx];

                PTUTrendJumperYM indicator = new PTUTrendJumperYM();
                indicator.BarsRequired = BarsRequired;
                indicator.CalculateOnBarClose = CalculateOnBarClose;
#if NT7
                indicator.ForceMaximumBarsLookBack256 = ForceMaximumBarsLookBack256;
                indicator.MaximumBarsLookBack = MaximumBarsLookBack;
#endif
                indicator.Input = input;
                indicator.I00_Version = i00_Version;
                Indicators.Add(indicator);
                indicator.SetUp();

                PTUTrendJumperYM[] tmp = new PTUTrendJumperYM[cachePTUTrendJumperYM == null ? 1 : cachePTUTrendJumperYM.Length + 1];
                if (cachePTUTrendJumperYM != null)
                    cachePTUTrendJumperYM.CopyTo(tmp, 0);
                tmp[tmp.Length - 1] = indicator;
                cachePTUTrendJumperYM = tmp;
                return indicator;
            }
        }
    }
}

// This namespace holds all market analyzer column definitions and is required. Do not change it.
namespace NinjaTrader.MarketAnalyzer
{
    public partial class Column : ColumnBase
    {
        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.PTUJumpLineEURUSD1 PTUJumpLineEURUSD1(string i00_Version)
        {
            return _indicator.PTUJumpLineEURUSD1(Input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public Indicator.PTUJumpLineEURUSD1 PTUJumpLineEURUSD1(Data.IDataSeries input, string i00_Version)
        {
            return _indicator.PTUJumpLineEURUSD1(input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.PTUJumpLineEURUSD2 PTUJumpLineEURUSD2(string i00_Version)
        {
            return _indicator.PTUJumpLineEURUSD2(Input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public Indicator.PTUJumpLineEURUSD2 PTUJumpLineEURUSD2(Data.IDataSeries input, string i00_Version)
        {
            return _indicator.PTUJumpLineEURUSD2(input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.PTUJumpLineEURUSD3 PTUJumpLineEURUSD3(string i00_Version)
        {
            return _indicator.PTUJumpLineEURUSD3(Input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public Indicator.PTUJumpLineEURUSD3 PTUJumpLineEURUSD3(Data.IDataSeries input, string i00_Version)
        {
            return _indicator.PTUJumpLineEURUSD3(input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.PTUJumpLineYM1 PTUJumpLineYM1(string i00_Version)
        {
            return _indicator.PTUJumpLineYM1(Input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public Indicator.PTUJumpLineYM1 PTUJumpLineYM1(Data.IDataSeries input, string i00_Version)
        {
            return _indicator.PTUJumpLineYM1(input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.PTUJumpLineYM2 PTUJumpLineYM2(string i00_Version)
        {
            return _indicator.PTUJumpLineYM2(Input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public Indicator.PTUJumpLineYM2 PTUJumpLineYM2(Data.IDataSeries input, string i00_Version)
        {
            return _indicator.PTUJumpLineYM2(input, i00_Version);
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.PTUTrendJumperEURUSD4dig PTUTrendJumperEURUSD4dig(string i00_Version)
        {
            return _indicator.PTUTrendJumperEURUSD4dig(Input, i00_Version);
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        public Indicator.PTUTrendJumperEURUSD4dig PTUTrendJumperEURUSD4dig(Data.IDataSeries input, string i00_Version)
        {
            return _indicator.PTUTrendJumperEURUSD4dig(input, i00_Version);
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.PTUTrendJumperEURUSD5dig PTUTrendJumperEURUSD5dig(string i00_Version)
        {
            return _indicator.PTUTrendJumperEURUSD5dig(Input, i00_Version);
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        public Indicator.PTUTrendJumperEURUSD5dig PTUTrendJumperEURUSD5dig(Data.IDataSeries input, string i00_Version)
        {
            return _indicator.PTUTrendJumperEURUSD5dig(input, i00_Version);
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.PTUTrendJumperYM PTUTrendJumperYM(string i00_Version)
        {
            return _indicator.PTUTrendJumperYM(Input, i00_Version);
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        public Indicator.PTUTrendJumperYM PTUTrendJumperYM(Data.IDataSeries input, string i00_Version)
        {
            return _indicator.PTUTrendJumperYM(input, i00_Version);
        }
    }
}

// This namespace holds all strategies and is required. Do not change it.
namespace NinjaTrader.Strategy
{
    public partial class Strategy : StrategyBase
    {
        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.PTUJumpLineEURUSD1 PTUJumpLineEURUSD1(string i00_Version)
        {
            return _indicator.PTUJumpLineEURUSD1(Input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public Indicator.PTUJumpLineEURUSD1 PTUJumpLineEURUSD1(Data.IDataSeries input, string i00_Version)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.PTUJumpLineEURUSD1(input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.PTUJumpLineEURUSD2 PTUJumpLineEURUSD2(string i00_Version)
        {
            return _indicator.PTUJumpLineEURUSD2(Input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public Indicator.PTUJumpLineEURUSD2 PTUJumpLineEURUSD2(Data.IDataSeries input, string i00_Version)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.PTUJumpLineEURUSD2(input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.PTUJumpLineEURUSD3 PTUJumpLineEURUSD3(string i00_Version)
        {
            return _indicator.PTUJumpLineEURUSD3(Input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public Indicator.PTUJumpLineEURUSD3 PTUJumpLineEURUSD3(Data.IDataSeries input, string i00_Version)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.PTUJumpLineEURUSD3(input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.PTUJumpLineYM1 PTUJumpLineYM1(string i00_Version)
        {
            return _indicator.PTUJumpLineYM1(Input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public Indicator.PTUJumpLineYM1 PTUJumpLineYM1(Data.IDataSeries input, string i00_Version)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.PTUJumpLineYM1(input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.PTUJumpLineYM2 PTUJumpLineYM2(string i00_Version)
        {
            return _indicator.PTUJumpLineYM2(Input, i00_Version);
        }

        /// <summary>
        /// Jump Line indicator
        /// </summary>
        /// <returns></returns>
        public Indicator.PTUJumpLineYM2 PTUJumpLineYM2(Data.IDataSeries input, string i00_Version)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.PTUJumpLineYM2(input, i00_Version);
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.PTUTrendJumperEURUSD4dig PTUTrendJumperEURUSD4dig(string i00_Version)
        {
            return _indicator.PTUTrendJumperEURUSD4dig(Input, i00_Version);
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        public Indicator.PTUTrendJumperEURUSD4dig PTUTrendJumperEURUSD4dig(Data.IDataSeries input, string i00_Version)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.PTUTrendJumperEURUSD4dig(input, i00_Version);
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.PTUTrendJumperEURUSD5dig PTUTrendJumperEURUSD5dig(string i00_Version)
        {
            return _indicator.PTUTrendJumperEURUSD5dig(Input, i00_Version);
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        public Indicator.PTUTrendJumperEURUSD5dig PTUTrendJumperEURUSD5dig(Data.IDataSeries input, string i00_Version)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.PTUTrendJumperEURUSD5dig(input, i00_Version);
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        [Gui.Design.WizardCondition("Indicator")]
        public Indicator.PTUTrendJumperYM PTUTrendJumperYM(string i00_Version)
        {
            return _indicator.PTUTrendJumperYM(Input, i00_Version);
        }

        /// <summary>
        /// PTU TrendJumper calculator
        /// </summary>
        /// <returns></returns>
        public Indicator.PTUTrendJumperYM PTUTrendJumperYM(Data.IDataSeries input, string i00_Version)
        {
            if (InInitialize && input == null)
                throw new ArgumentException("You only can access an indicator with the default input/bar series from within the 'Initialize()' method");

            return _indicator.PTUTrendJumperYM(input, i00_Version);
        }
    }
}
#endregion
